﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Web.Utilities;
using Hotline.Share.Requests.Exam;
using JiebaNet.Segmenter.Common;
using System.Linq.Expressions;

namespace Hotline.Application.Exam.QueryExtensions.ExamManages
{
    public static class ExamManageQueryExtensions
    {
        public static Expression<Func<ExamManage,bool>> GetExpression(this ExamManagePagedRequest examManagePagedRequest)
        {
            Expression<Func<ExamManage, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<ExamManage>()
                         .AndIF(examManagePagedRequest.Code.IsNotNullOrEmpty(), x => x.Code.Contains(examManagePagedRequest.Code))
                         .AndIF(examManagePagedRequest.Name.IsNotNullOrEmpty(), x => x.Name.Contains(examManagePagedRequest.Name))
                         .AndIF(examManagePagedRequest.ExamType.IsNotNull(), x => x.ExamType == examManagePagedRequest.ExamType)
                         .AndIF(examManagePagedRequest.Method.IsNotNull(), x => x.Method == examManagePagedRequest.Method).ToExpression();

            return expression;
        }
    }
}
