﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Exam
{
    public class UserExamResultViewResponse : IViewResponse
    {
        /// <summary>
        /// 参考人员
        /// </summary>
        [Description("参考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        public string OrgName { get; set; }

        /// <summary>
        /// 考试标题
        /// </summary>
        [Description("考试标题")]
        public string ExamName { get; set; }

        /// <summary>
        /// 总分
        /// </summary>
        [Description("总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 分数线
        /// </summary>
        [Description("分数线")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [Description("考试分数")]
        public int Score { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }

        /// <summary>
        /// 考试状态
        /// </summary>
        [Description("考试状态")]
        public EExamStatus ExamStatus { get; set; }

        /// <summary>
        /// 是否考试合格
        /// </summary>
        [Description("是否考试合格")]
        public bool IsSuccess { get; set; }
    }
}
